#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <errno.h>
#include "../dt2801.h"

int main(int argc, char** argv) 
{
	int fd;
	char* dev;
        int stat;
        int data;

        if (argc != 2) {
		fprintf(stderr, "usage:\n");
                exit(-1);
	}
        dev = argv[1];


        fprintf(stderr, "open:\n");
	fd = open(dev, O_RDONLY);
        if (fd < 0) {
		perror("open failed");
                exit(-1);
	}

	stat = read(fd, &data, sizeof(data));
        if (stat  < 0) {
		perror("open failed");
	} else {
		fprintf(stderr, "data = %d:\n", data);
	}


        fprintf(stderr, "close:\n");
        close(fd);

	return 0;
}
